Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ExcDescriptionSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ExcDescriptionSeqHelper

public class ExcDescriptionSeqHelper
extends java.lang.Object

Helper class for : ExcDescriptionSeq

Author:
  OpenORB Compiler

Constructor Summary
`ExcDescriptionSeqHelper()`

Method Summary
`static ExceptionDescription[]` | `extract(Any a)` Extract ExcDescriptionSeq from an any
`static java.lang.String` | `id()` Return the ExcDescriptionSeq IDL ID
`static void` | `insert(Any a, ExceptionDescription[] t)` Insert ExcDescriptionSeq into an any
`static ExceptionDescription[]` | `read(InputStream istream)` Read ExcDescriptionSeq from a marshalled stream
`static TypeCode` | `type()` Return the ExcDescriptionSeq TypeCode
`static void` | `write(OutputStream ostream, ExceptionDescription[] value)` Write ExcDescriptionSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcDescriptionSeqHelper

    public ExcDescriptionSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ExceptionDescription[] t)

  Insert ExcDescriptionSeq into an any
  Parameters:
    `a` - an any
    `t` - ExcDescriptionSeq value

### extract

    public static ExceptionDescription[] extract(Any a)

  Extract ExcDescriptionSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ExcDescriptionSeq value

### type

    public static TypeCode type()

  Return the ExcDescriptionSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ExcDescriptionSeq IDL ID
  Returns:
    an ID

### read

    public static ExceptionDescription[] read(InputStream istream)

  Read ExcDescriptionSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ExcDescriptionSeq value

### write

    public static void write(OutputStream ostream,
                             ExceptionDescription[] value)

  Write ExcDescriptionSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ExcDescriptionSeq value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD